## theseus 0.1.0

=== DESCRIPTION ===
Package: theseus
Type: Package
Title: Analysis and Visualization Tools for Microbial Community Data
Version: 0.1.0
Authors@R: c(
    person("Jacob", "Price", email = "jrp355@drexel.edu", role = c("aut")),
    person("Stephen", "Woloszynek", email = "sw424@drexel.edu", role = c("cre","aut"))
    )
Description: An approach to the visualization, analysis, and interpretation of 
  (microbial) community composition data, especially those originating from 
  amplicon sequencing. Analysis techniques include constrained and unconstrained
  ordination and visualizing taxonomic abundances and spatial patterns, among 
  others. Methods intended to assist bioinformaticians and ecologists in 
  selecting read trimming by quality scores and preprocessing/denoising of 
  datasets are also provided. 
License: MIT + file LICENSE
URL: http://github.com/EESI/theseus
BugReports: http://github.com/EESI/theseus/issues
Encoding: UTF-8
LazyData: TRUE
Depends: R (>= 3.3.0)
Imports: dplyr, ggplot2 (>= 2.2.1), gridExtra, magrittr (>= 1.5),
        parallel (>= 3.4.1), phyloseq (>= 1.20.0), ShortRead (>=
        1.34.0), splancs, tidyverse (>= 1.1.1), tidyr, vegan (>=
        2.3.5), viridis (>= 0.4.0)
Suggests: covr, knitr, rmarkdown, testthat
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-12-20 14:50:53 UTC; sw1
Author: Jacob Price [aut],
  Stephen Woloszynek [cre, aut]
Maintainer: Stephen Woloszynek <sw424@drexel.edu>
Repository: CRAN
Date/Publication: 2017-12-20 16:30:53 UTC

## theseus 1.1.5

=== Makefile ===
# Do not modify this file
# modify make.inc instead for platform specific compilation
include make.inc

OBJECTS = theseus.o \
CovMat.o DistMat.o Embed.o  Error.o FragCoords.o FragDist.o HierarchVars.o \
LedoitWolf.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
RandCoords.o pdbSSM.o \
ProcLAPACKSVDOcc.o ProcLAPACKSVD.o

all:				libs progs

libs:				ldistfit lDLTutils lmsa ldltmath ldssplite

progs:				theseus


ldistfit:
					( cd libdistfit; $(MAKE) && cp libdistfit.a ../lib  )

lDLTutils:
					( cd libDLTutils; $(MAKE) && cp libDLTutils.a ../lib  )

lmsa:
					( cd libmsa; $(MAKE) && cp libmsa.a ../lib  )

ldltmath:
					( cd libdltmath; $(MAKE) && cp libdltmath.a ../lib  )

ldssplite:
					( cd libdssplite; $(MAKE) && cp libdssplite.a ../lib  )

distfitexe:
					$(CC) $(OPT) $(CFLAGS) -c distfit.c
					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) distfit.o $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o distfit


# THESEUS-specific files
theseus:			$(OBJECTS)
					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) $(OBJECTS) $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o theseus

theseus.o:			theseus.c
					$(CC) $(OPT) $(CFLAGS) -c theseus.c

CovMat.o:			CovMat.c
					$(CC) $(OPT) $(CFLAGS) -c CovMat.c

DistMat.o:			DistMat.c
					$(CC) $(OPT) $(CFLAGS) -c DistMat.c

Error.o:			Error.c
					$(CC) $(OPT) $(CFLAGS) -c Error.c

FragCoords.o:		FragCoords.c
					$(CC) $(OPT) $(CFLAGS) -c FragCoords.c

FragDist.o:			FragDist.c
					$(CC) $(OPT) $(CFLAGS) -c FragDist.c

HierarchVars.o:		HierarchVars.c
					$(CC) $(OPT) $(CFLAGS) -c HierarchVars.c

LedoitWolf.o:		LedoitWolf.c
					$(CC) $(OPT) $(CFLAGS) -c LedoitWolf.c

Embed.o:			Embed.c
					$(CC) $(OPT) $(CFLAGS) -c Embed.c

MultiPose.o:		MultiPose.c
					$(CC) $(OPT) $(CFLAGS) -c MultiPose.c

MultiPose2MSA.o:	MultiPose2MSA.c
					$(CC) $(OPT) $(CFLAGS) -c MultiPose2MSA.c

MultiPoseMix.o:		MultiPoseMix.c
					$(CC) $(OPT) $(CFLAGS) -c MultiPoseMix.c

PCAstats.o:			PCAstats.c
					$(CC) $(OPT) $(CFLAGS) -c PCAstats.c

pdbIO.o:			pdbIO.c
					$(CC) $(OPT) $(CFLAGS) -c pdbIO.c

pdbMalloc.o:		pdbMalloc.c
					$(CC) $(OPT) $(CFLAGS) -c pdbMalloc.c

pdbStats.o:			pdbStats.c
					$(CC) $(OPT) $(CFLAGS) -c pdbStats.c

pdbSSM.o:			pdbSSM.c
					$(CC) $(OPT) $(CFLAGS) -c pdbSSM.c

pdbUtils.o:			pdbUtils.c
					$(CC) $(OPT) $(CFLAGS) -c pdbUtils.c

QuarticHornFrag.o:	QuarticHornFrag.c
					$(CC) $(OPT) $(CFLAGS) -c QuarticHornFrag.c

RandCoords.o:		RandCoords.c
					$(CC) $(OPT) $(CFLAGS) -c RandCoords.c


# Superposition algorithms
# Kabsch.o:			Kabsch.c
# 					$(CC) $(OPT) $(CFLAGS) -c Kabsch.c
# 
# Kearsley.o:			Kearsley.c
# 					$(CC) $(OPT) $(CFLAGS) -c Kearsley.c
# 
# Horn.o:				Horn.c
# 					$(CC) $(OPT) $(CFLAGS) -c Horn.c
# 
# ProcJacobiSVD.o:	ProcJacobiSVD.c
# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVD.c
# 
# ProcJacobiSVDOcc.o:	ProcJacobiSVDOcc.c
# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVDOcc.c

ProcLAPACKSVD.o:	ProcLAPACKSVD.c
					$(CC) $(OPT) $(CFLAGS) -c ProcLAPACKSVD.c

ProcLAPACKSVDOcc.o:	ProcLAPACKSVDOcc.c
					$(CC) $(OPT) $(CFLAGS) -c ProcLAPACKSVDOcc.c


install:
					chmod +x theseus theseus_align
					cp theseus theseus_align $(INSTALLDIR)

clean:
					find . -name '*.[oa]' -exec rm {} \;

=== libDLTutils/Makefile ===
include ../make.inc

OBJECTS	= DLTutils.o

libDLTutils.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libDLTutils.a $(OBJECTS)
					$(RANLIB) libDLTutils.a

DLTutils.o:			DLTutils.c
					$(CC) $(OPT) $(CFLAGS) -c DLTutils.c

install:

clean:
					rm -f $(OBJECTS)

=== libdistfit/Makefile ===
include ../make.inc

OBJECTS = bimultinom.o statistics.o \
beta_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \
negbinom_dist.o normal_dist.o pareto_dist.o recinvgauss_dist.o \
uniform_dist.o vonmises_dist.o weibull_dist.o


libdistfit.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdistfit.a $(OBJECTS)
					$(RANLIB) libdistfit.a


bimultinom.o:		bimultinom.c
					$(CC) $(OPT) $(CFLAGS) -c bimultinom.c

statistics.o:		statistics.c
					$(CC) $(OPT) $(CFLAGS) -c statistics.c

beta_dist.o:		beta_dist.c
					$(CC) $(OPT) $(CFLAGS) -c beta_dist.c

betasym_dist.o:		betasym_dist.c
					$(CC) $(OPT) $(CFLAGS) -c betasym_dist.c

binomial_dist.o:	binomial_dist.c
					$(CC) $(OPT) $(CFLAGS) -c binomial_dist.c

cauchy_dist.o:		cauchy_dist.c
					$(CC) $(OPT) $(CFLAGS) -c cauchy_dist.c

chi_dist.o:			chi_dist.c
					$(CC) $(OPT) $(CFLAGS) -c chi_dist.c

chisqr_dist.o:		chisqr_dist.c
					$(CC) $(OPT) $(CFLAGS) -c chisqr_dist.c

chisqrgen_dist.o:	chisqrgen_dist.c
					$(CC) $(OPT) $(CFLAGS) -c chisqrgen_dist.c

EVD_dist.o:			EVD_dist.c
					$(CC) $(OPT) $(CFLAGS) -c EVD_dist.c

exp_dist.o:			exp_dist.c
					$(CC) $(OPT) $(CFLAGS) -c exp_dist.c

gamma_dist.o:		gamma_dist.c
					$(CC) $(OPT) $(CFLAGS) -c gamma_dist.c

invchisqr_dist.o:	invchisqr_dist.c
					$(CC) $(OPT) $(CFLAGS) -c invchisqr_dist.c

invgamma_dist.o:	invgamma_dist.c
					$(CC) $(OPT) $(CFLAGS) -c invgamma_dist.c

invgauss_dist.o:	invgauss_dist.c
					$(CC) $(OPT) $(CFLAGS) -c invgauss_dist.c

laplace_dist.o:		laplace_dist.c
					$(CC) $(OPT) $(CFLAGS) -c laplace_dist.c

logistic_dist.o:	logistic_dist.c
					$(CC) $(OPT) $(CFLAGS) -c logistic_dist.c

lognormal_dist.o:	lognormal_dist.c
					$(CC) $(OPT) $(CFLAGS) -c lognormal_dist.c

maxwell_dist.o:		maxwell_dist.c
					$(CC) $(OPT) $(CFLAGS) -c maxwell_dist.c

negbinom_dist.o:	negbinom_dist.c
					$(CC) $(OPT) $(CFLAGS) -c negbinom_dist.c

normal_dist.o:		normal_dist.c
					$(CC) $(OPT) $(CFLAGS) -c normal_dist.c

pareto_dist.o:		pareto_dist.c
					$(CC) $(OPT) $(CFLAGS) -c pareto_dist.c

recinvgauss_dist.o:	recinvgauss_dist.c
					$(CC) $(OPT) $(CFLAGS) -c recinvgauss_dist.c

uniform_dist.o:		uniform_dist.c
					$(CC) $(OPT) $(CFLAGS) -c uniform_dist.c

vonmises_dist.o:	vonmises_dist.c
					$(CC) $(OPT) $(CFLAGS) -c vonmises_dist.c

weibull_dist.o:		weibull_dist.c
					$(CC) $(OPT) $(CFLAGS) -c weibull_dist.c

install:
					cp libdistfit.a /Users/theobal/lib
					$(RANLIB) /Users/theobal/lib/libdistfit.a

clean:
					rm -f $(OBJECTS)

=== libdltmath/Makefile ===
include ../make.inc

OBJECTS	= ludcmp.o MatUtils.o Mat3Utils.o Mat4Utils.o VecUtils.o \
ncbi_math.o specfunc.o RegGamma.o \
quicksort.o myrandom.o integrate.o \
lapack_dlt.o eigen.o

libdistfit.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdltmath.a $(OBJECTS)
					$(RANLIB) libdltmath.a


ludcmp.o:			ludcmp.c
					$(CC) $(OPT) $(CFLAGS) -c ludcmp.c

MatUtils.o:			MatUtils.c
					$(CC) $(OPT) $(CFLAGS) -c MatUtils.c

Mat3Utils.o:		Mat3Utils.c
					$(CC) $(OPT) $(CFLAGS) -c Mat3Utils.c

Mat4Utils.o:		Mat4Utils.c
					$(CC) $(OPT) $(CFLAGS) -c Mat4Utils.c

VecUtils.o:			VecUtils.c
					$(CC) $(OPT) $(CFLAGS) -c VecUtils.c

myrandom.o:			myrandom.c
					$(CC) $(OPT) $(CFLAGS) -c myrandom.c

quicksort.o:		quicksort.c
					$(CC) $(OPT) $(CFLAGS) -c quicksort.c

statistics.o:		statistics.c
					$(CC) $(OPT) $(CFLAGS) -c statistics.c

integrate.o:		integrate.c
					$(CC) $(OPT) $(CFLAGS) -c integrate.c

specfunc.o:			specfunc.c
					$(CC) $(OPT) $(CFLAGS) -c specfunc.c

RegGamma.o:			RegGamma.c
					$(CC) $(OPT) $(CFLAGS) -c RegGamma.c

ncbi_math.o:		ncbi_math.c
					$(CC) $(OPT) $(CFLAGS) -c ncbi_math.c

lapack_dlt.o:		lapack_dlt.c
					$(CC) $(OPT) $(CFLAGS) -c lapack_dlt.c

eigen.o:			eigen.c
					$(CC) $(OPT) $(CFLAGS) -c eigen.c

install:

clean:
					rm -f $(OBJECTS)

=== libdssplite/Makefile ===
include ../make.inc

OBJECTS	= dssplite.o

libdssplite.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdssplite.a $(OBJECTS)
					$(RANLIB) libdssplite.a

dssplite.o:			dssplite.c
					$(CC) $(OPT) $(CFLAGS) -c dssplite.c

install:
					cp libdssplite.a /Users/theobal/lib
					$(RANLIB) /Users/theobal/lib/libdssplite.a

clean:
					rm -f $(OBJECTS)

=== libmsa/Makefile ===
include ../make.inc

OBJECTS	= msa.o

libmsa.a:			$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libmsa.a $(OBJECTS)
					$(RANLIB) libmsa.a

msa.o:				msa.c
					$(CC) $(OPT) $(CFLAGS) -c msa.c

install:

clean:
					rm -f $(OBJECTS)

## theseus 1.3.9

=== Makefile ===
# Do not modify this file
# modify make.inc instead for platform specific compilation
include make.inc

OBJECTS = CovMat.o DistMat.o Embed.o  Error.o FragCoords.o FragDist.o HierarchVars.o \
LedoitWolf.o lodmats.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
RandCoords.o pdbSSM.o \
ProcLAPACKSVDOcc.o ProcLAPACKSVD.o \
termcol.o theseuslib.o

all:				libs progs

libs:				ldistfit lDLTutils lmsa ldltmath ldssplite ltheseus

progs:				theseus


ldistfit:
					( cd libdistfit; $(MAKE) && cp libdistfit.a ../lib  )

lDLTutils:
					( cd libDLTutils; $(MAKE) && cp libDLTutils.a ../lib  )

lmsa:
					( cd libmsa; $(MAKE) && cp libmsa.a ../lib  )

ldltmath:
					( cd libdltmath; $(MAKE) && cp libdltmath.a ../lib  )

ldssplite:
					( cd libdssplite; $(MAKE) && cp libdssplite.a ../lib  )

distfitexe:
					$(CC) $(OPT) $(CFLAGS) -c distfit.c
					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) distfit.o $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o distfit


# THESEUS-specific files
theseus:			theseus.o $(OBJECTS)
					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) theseus.o $(OBJECTS) $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o theseus

CovMat.o:			CovMat.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c CovMat.c

DistMat.o:			DistMat.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c DistMat.c

Error.o:			Error.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Error.c

FragCoords.o:		FragCoords.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragCoords.c

FragDist.o:			FragDist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragDist.c

HierarchVars.o:		HierarchVars.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c HierarchVars.c

LedoitWolf.o:		LedoitWolf.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c LedoitWolf.c

lodmats.o:			lodmats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lodmats.c

Embed.o:			Embed.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Embed.c

MultiPose.o:		MultiPose.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPose.c

MultiPose2MSA.o:	MultiPose2MSA.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPose2MSA.c

MultiPoseMix.o:		MultiPoseMix.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultiPoseMix.c

PCAstats.o:			PCAstats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c PCAstats.c

pdbIO.o:			pdbIO.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbIO.c

pdbMalloc.o:		pdbMalloc.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbMalloc.c

pdbStats.o:			pdbStats.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbStats.c

pdbSSM.o:			pdbSSM.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbSSM.c

pdbUtils.o:			pdbUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pdbUtils.c

QuarticHornFrag.o:	QuarticHornFrag.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c QuarticHornFrag.c

RandCoords.o:		RandCoords.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RandCoords.c


# Superposition algorithms
# Kabsch.o:			Kabsch.c
# 					$(CC) $(OPT) $(CFLAGS) -c Kabsch.c
# 
# Kearsley.o:			Kearsley.c
# 					$(CC) $(OPT) $(CFLAGS) -c Kearsley.c
# 
# Horn.o:				Horn.c
# 					$(CC) $(OPT) $(CFLAGS) -c Horn.c
# 
# ProcJacobiSVD.o:	ProcJacobiSVD.c
# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVD.c
# 
# ProcJacobiSVDOcc.o:	ProcJacobiSVDOcc.c
# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVDOcc.c

ProcLAPACKSVD.o:	ProcLAPACKSVD.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcLAPACKSVD.c

ProcLAPACKSVDOcc.o:	ProcLAPACKSVDOcc.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcLAPACKSVDOcc.c

termcol.o:  		termcol.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c termcol.c

theseus.o:			theseus.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c theseus.c

theseuslib.o:		theseuslib.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c theseuslib.c

ltheseus:			$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libtheseus.a $(OBJECTS)
					mv libtheseus.a lib/libtheseus.a
					$(RANLIB) lib/libtheseus.a

install:
					chmod +x theseus theseus_align
					cp theseus theseus_align $(INSTALLDIR)

installlibs:
					cp lib/*.a ${LOCALLIBDIR}

clean:
					find . -name '*.[oa]' -exec rm {} \;	
					rm theseus &> /dev/null

## theseus 1.4.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 LedoitWolf.o lodmats.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
 PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
 RandCoords.o pdbSSM.o \
-ProcLAPACKSVDOcc.o ProcLAPACKSVD.o \
+ProcLAPACKSVDOcc.o ProcLAPACKSVD.o ProcJacobiSVD.o Kabsch.o \
 termcol.o theseuslib.o
 
 all:				libs progs
@@ -102,20 +102,20 @@
 
 
 # Superposition algorithms
-# Kabsch.o:			Kabsch.c
-# 					$(CC) $(OPT) $(CFLAGS) -c Kabsch.c
-# 
+Kabsch.o:			Kabsch.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Kabsch.c
+ 
 # Kearsley.o:			Kearsley.c
-# 					$(CC) $(OPT) $(CFLAGS) -c Kearsley.c
+# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Kearsley.c
 # 
 # Horn.o:				Horn.c
-# 					$(CC) $(OPT) $(CFLAGS) -c Horn.c
-# 
-# ProcJacobiSVD.o:	ProcJacobiSVD.c
-# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVD.c
+# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Horn.c
+ 
+ProcJacobiSVD.o:	ProcJacobiSVD.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcJacobiSVD.c
 # 
 # ProcJacobiSVDOcc.o:	ProcJacobiSVDOcc.c
-# 					$(CC) $(OPT) $(CFLAGS) -c ProcJacobiSVDOcc.c
+# 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcJacobiSVDOcc.c
 
 ProcLAPACKSVD.o:	ProcLAPACKSVD.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcLAPACKSVD.c

=== libdistfit/Makefile ===
include ../make.inc

OBJECTS = bimultinom.o statistics.o \
beta_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \
negbinom_dist.o normal_dist.o pareto_dist.o recinvgauss_dist.o \
uniform_dist.o vonmises_dist.o weibull_dist.o


libdistfit.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdistfit.a $(OBJECTS)
					$(RANLIB) libdistfit.a


bimultinom.o:		bimultinom.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c bimultinom.c

statistics.o:		statistics.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c statistics.c

beta_dist.o:		beta_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c beta_dist.c

betasym_dist.o:		betasym_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c betasym_dist.c

binomial_dist.o:	binomial_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c binomial_dist.c

cauchy_dist.o:		cauchy_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c cauchy_dist.c

chi_dist.o:			chi_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c chi_dist.c

chisqr_dist.o:		chisqr_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c chisqr_dist.c

chisqrgen_dist.o:	chisqrgen_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c chisqrgen_dist.c

EVD_dist.o:			EVD_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c EVD_dist.c

exp_dist.o:			exp_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c exp_dist.c

gamma_dist.o:		gamma_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c gamma_dist.c

invchisqr_dist.o:	invchisqr_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c invchisqr_dist.c

invgamma_dist.o:	invgamma_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c invgamma_dist.c

invgauss_dist.o:	invgauss_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c invgauss_dist.c

laplace_dist.o:		laplace_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c laplace_dist.c

logistic_dist.o:	logistic_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c logistic_dist.c

lognormal_dist.o:	lognormal_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lognormal_dist.c

maxwell_dist.o:		maxwell_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c maxwell_dist.c

negbinom_dist.o:	negbinom_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c negbinom_dist.c

normal_dist.o:		normal_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c normal_dist.c

pareto_dist.o:		pareto_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pareto_dist.c

recinvgauss_dist.o:	recinvgauss_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c recinvgauss_dist.c

uniform_dist.o:		uniform_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c uniform_dist.c

vonmises_dist.o:	vonmises_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c vonmises_dist.c

weibull_dist.o:		weibull_dist.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c weibull_dist.c

install:
					cp libdistfit.a /Users/theobal/lib
					$(RANLIB) /Users/theobal/lib/libdistfit.a

clean:
					rm -f $(OBJECTS)

## theseus 1.5.5

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
 RandCoords.o pdbSSM.o \
 ProcLAPACKSVDOcc.o ProcLAPACKSVD.o ProcJacobiSVD.o Kabsch.o \
+GibbsMet.o \
 termcol.o theseuslib.o
 
 all:				libs progs
@@ -100,6 +101,9 @@
 RandCoords.o:		RandCoords.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RandCoords.c
 
+GibbsMet.o: 		GibbsMet.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c GibbsMet.c
+
 
 # Superposition algorithms
 Kabsch.o:			Kabsch.c

=== libdistfit/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 include ../make.inc
 
 OBJECTS = bimultinom.o statistics.o \
-beta_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
+beta_dist.o betaprime_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
 exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
 invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \
 negbinom_dist.o normal_dist.o pareto_dist.o recinvgauss_dist.o \
@@ -21,6 +21,9 @@
 
 beta_dist.o:		beta_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c beta_dist.c
+
+betaprime_dist.o:	betaprime_dist.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c betaprime_dist.c
 
 betasym_dist.o:		betasym_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c betasym_dist.c

=== libdltmath/Makefile ===
include ../make.inc

OBJECTS	= ludcmp.o MatUtils.o Mat3Utils.o Mat4Utils.o VecUtils.o \
ncbi_math.o specfunc.o RegGamma.o \
quicksort.o myrandom.o integrate.o \
lapack_dlt.o eigen.o

libdistfit.a:		$(OBJECTS)
					$(ARCH) $(ARCHFLAGS) libdltmath.a $(OBJECTS)
					$(RANLIB) libdltmath.a


ludcmp.o:			ludcmp.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ludcmp.c

MatUtils.o:			MatUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MatUtils.c

Mat3Utils.o:		Mat3Utils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Mat3Utils.c

Mat4Utils.o:		Mat4Utils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Mat4Utils.c

VecUtils.o:			VecUtils.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c VecUtils.c

myrandom.o:			myrandom.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c myrandom.c

quicksort.o:		quicksort.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c quicksort.c

statistics.o:		statistics.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c statistics.c

integrate.o:		integrate.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c integrate.c

specfunc.o:			specfunc.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c specfunc.c

RegGamma.o:			RegGamma.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RegGamma.c

ncbi_math.o:		ncbi_math.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ncbi_math.c

lapack_dlt.o:		lapack_dlt.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lapack_dlt.c

eigen.o:			eigen.c
					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c eigen.c

install:

clean:
					rm -f $(OBJECTS)

=== debian/changelog ===
theseus (1.5.5-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Adapt debian/patches to new upstream version
  * Source format 3.0 (quilt)
  * debian/patches/use_muscle_instead_of_clustalw.patch:
    The script thesaus_align says it would use muscle as align program
    but it actually uses clustalw which is in non-free and thus we can
    not recommend it.  The patch makes muscle really the default
  * Depends: muscle (instead of Suggests)
  * debian/theseus_align.1: Better wording for muscle preference

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 17:46:49 +0100

theseus (1.4.3-2) unstable; urgency=low

  * debian/patches/10_kbsd.patch: Correctly applied patch from
    Cyril (sorry for mixing this up)
    Closes: #542879

 -- Andreas Tille <tille@debian.org>  Thu, 03 Sep 2009 08:49:22 +0200

theseus (1.4.3-1) unstable; urgency=low

  [Andreas Tille]
  * New upstream version
    Closes: #534630
  * debian/control
    - Added myself to uploaders
    - debhelper 7
    - Build-Depends: libtool
    - Standards-Version: 3.8.3 (no changes needed)
  * Switched to quilt (affects debian/patches/*, debian/control,
    debian/rules)
  * Added Suggests: clustlaw, mafft, t-coffee, kalign, dialign
    because these are called in theseus_align
  * Use debian/{docs,manpages, examples} instead of arguments of
    the debhelper installers to enable short rules file
  * Re-enabled patch for theseus_align and do not tweak upstream
    tarball just to s?usr/local/bin?usr/bin?
  * debian/patches/200-make.inc.patch: Use ar directly to to avoid
    problems with libtool, drop -arch command line options to gcc
    which let compilation fail
  * debian/README.Debian: Removed paragraph about theseus_align
    because this is now shipped in upstream tarball
  * debian/patches/10_kbsd.patch: fix the FTBFS problem reported by
    Cyril Brulebois <kibi@debian.org> (thanks to Cyril for the patch)
    Closes: #542879

  [Morten Kjeldgaard]
  * Fix FTBFS on certain platforms that lack the Atlas libraries
    by using lapack-dev in Build-Depends. This will pull in Atlas
    on the relevant platforms, otherwise not.

 -- Andreas Tille <tille@debian.org>  Mon, 31 Aug 2009 14:50:19 +0200

theseus (1.3.9-1) unstable; urgency=low

  * New upstream release, first upload to Debian.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Sun, 16 Nov 2008 22:36:36 +0100

theseus (1.1.5-0ubuntu3) intrepid; urgency=low

  * gfortran transition for intrepid, atlas3-base -> libatlas3-base.

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Thu, 04 Sep 2008 23:20:52 +0200

theseus (1.1.5-0ubuntu2) hardy; urgency=low

  * debian/rules: FTBFS on all archs but i386, due to missing
    binary-arch target (LP: #181359)
  * Removed redundant libraries.
  
 -- Morten Kjeldgaard <mok@bioxray.dk>  Tue, 08 Jan 2008 22:35:42 +0100

theseus (1.1.5-0ubuntu1) hardy; urgency=low

  * Initial release (LP: #173506)
  * The upstream tarball has been versioned as 1.1.5 (not versioned upstream)
    The get-orig-source target in debian/rules can be used for this purpose
    once the changelog has been edited to contain the right version
  * Patch to theseus.1 and theseus_align.1
    - fix incorrect .TH line in theseus.1
    - fix multiple instances of hyphen (-) to minus (\-)
  * Patch on thesus_align.sh. The script is patched to find
    programs in /usr/bin. The script makes use of the
    multiple sequence alignment program muscle, which is available
    from universe.
  * Patch make.inc to provide correct compiler switches.
  * A script (getexamples) is provided to show the user how (s)he can
    download the data in examples/

 -- Morten Kjeldgaard <mok@bioxray.dk>  Sun, 02 Dec 2007 15:53:15 +0100

=== debian/control ===
Source: theseus
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), libgsl0-dev, liblapack-dev, libtool
Standards-Version: 3.9.1
Homepage: http://www.theseus3d.org
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/theseus/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/theseus/trunk/?rev=0&sc=0

Package: theseus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, muscle
Suggests: clustlaw, mafft, t-coffee, kalign, dialign
Description: superimpose macromolecules using maximum likelihood
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.

=== debian/rules ===
#!/usr/bin/make -f
# rules file using dh for theseus
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

%:
	dh --with quilt $@

override_dh_auto_clean:
	dh_quilt_patch
	dh_auto_clean

override_dh_auto_install:
	echo "Do not call make install, use dh_install instead"

## theseus 1.6.1

=== Makefile ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # modify make.inc instead for platform specific compilation
 include make.inc
 
-OBJECTS = CovMat.o DistMat.o Embed.o  Error.o FragCoords.o FragDist.o HierarchVars.o \
-LedoitWolf.o lodmats.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
+OBJECTS = CovMat.o DistMat.o Embed.o  Error.o FragCds.o FragDist.o HierarchVars.o \
+lodmats.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
 PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
-RandCoords.o pdbSSM.o \
-ProcLAPACKSVDOcc.o ProcLAPACKSVD.o ProcJacobiSVD.o Kabsch.o \
+RandCds.o pdbSSM.o \
+ProcGSLSVD.o ProcGSLSVDOcc.o ProcJacobiSVD.o \
 GibbsMet.o \
 termcol.o theseuslib.o
 
@@ -50,17 +50,14 @@
 Error.o:			Error.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c Error.c
 
-FragCoords.o:		FragCoords.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragCoords.c
+FragCds.o:			FragCds.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragCds.c
 
 FragDist.o:			FragDist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c FragDist.c
 
 HierarchVars.o:		HierarchVars.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c HierarchVars.c
-
-LedoitWolf.o:		LedoitWolf.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c LedoitWolf.c
 
 lodmats.o:			lodmats.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lodmats.c
@@ -98,8 +95,8 @@
 QuarticHornFrag.o:	QuarticHornFrag.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c QuarticHornFrag.c
 
-RandCoords.o:		RandCoords.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RandCoords.c
+RandCds.o:			RandCds.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c RandCds.c
 
 GibbsMet.o: 		GibbsMet.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c GibbsMet.c
@@ -121,11 +118,11 @@
 # ProcJacobiSVDOcc.o:	ProcJacobiSVDOcc.c
 # 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcJacobiSVDOcc.c
 
-ProcLAPACKSVD.o:	ProcLAPACKSVD.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcLAPACKSVD.c
+ProcGSLSVD.o:		ProcGSLSVD.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVD.c
 
-ProcLAPACKSVDOcc.o:	ProcLAPACKSVDOcc.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcLAPACKSVDOcc.c
+ProcGSLSVDOcc.o:	ProcGSLSVDOcc.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVDOcc.c
 
 termcol.o:  		termcol.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c termcol.c
@@ -149,6 +146,6 @@
 					cp lib/*.a ${LOCALLIBDIR}
 
 clean:
-					find . -name '*.[oa]' -exec rm {} \;	
-					rm theseus &> /dev/null
+					find . -name '*.[oa]' -exec rm -f {} \;	
+					rm -f theseus &> /dev/null

=== libdistfit/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 include ../make.inc
 
-OBJECTS = bimultinom.o statistics.o \
+OBJECTS = statistics.o \
 beta_dist.o betaprime_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
 exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
 invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \

=== debian/changelog ===
theseus (1.6.1-1) unstable; urgency=low

  * New upstream version
  * debian/patches:
    - 99-theseus_align.sh.patch:
      Replaced by sed script in debian/rules which works (hopefully)
      for future versions as well without manually changing the patch
    - use_muscle_instead_of_clustalw.patch:
      Removed because clustalw is no in main and we do not need
      to actively replace it by muscle
    - 00-makefile.patch:
      Removed because applied upstream
    - 200-make.inc.patch:
      Removed
      + One purpose was to replace not working libtool call by ar
        which was applied upstream
      + Other purpose was to enable liblapack (patch by Morten
        Kjeldgaard) which was discussed with upstream and seems to
        cause problems.  So it was deactivated for now and might be
        tested later for enabling higher performance if needed.

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jan 2011 11:39:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), libgsl0-dev, liblapack-dev, libtool
+Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), libgsl0-dev
 Standards-Version: 3.9.1
 Homepage: http://www.theseus3d.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/theseus/trunk/

=== debian/rules ===
#!/usr/bin/make -f
# rules file using dh for theseus
# Copyright (C) Andreas Tille <tille@debian.org>
# License: GPL

pkg=theseus

%:
	dh --with quilt $@

override_dh_auto_clean:
	dh_quilt_patch
	dh_auto_clean

override_dh_auto_install:
	# Fix wrong path used in upstream script.  Fixing it here is safer than
	# changing the patch for any new upstream release
	sed -e 's?/usr/local/bin?/usr/bin?' \
	    -e 's?/usr/bin/sed?/bin/sed?'   \
	    theseus_align > debian/$(pkg)/usr/bin/theseus_align

## theseus 1.6.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Do not modify this file
 # modify make.inc instead for platform specific compilation
+
 include make.inc
 
 OBJECTS = CovMat.o DistMat.o Embed.o  Error.o FragCds.o FragDist.o HierarchVars.o \
@@ -8,6 +9,7 @@
 RandCds.o pdbSSM.o \
 ProcGSLSVD.o ProcGSLSVDOcc.o ProcJacobiSVD.o \
 GibbsMet.o \
+qcprot.o \
 termcol.o theseuslib.o
 
 all:				libs progs
@@ -127,6 +129,9 @@
 termcol.o:  		termcol.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c termcol.c
 
+qcprot.o:			qcprot.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c qcprot.c
+
 theseus.o:			theseus.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c theseus.c

=== libdistfit/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 beta_dist.o betaprime_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
 exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
 invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \
-negbinom_dist.o normal_dist.o pareto_dist.o recinvgauss_dist.o \
+negbinom_dist.o normal_dist.o pareto_dist.o rayleigh_dist.o recinvgauss_dist.o \
 uniform_dist.o vonmises_dist.o weibull_dist.o
 
 
@@ -82,6 +82,9 @@
 pareto_dist.o:		pareto_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c pareto_dist.c
 
+rayleigh_dist.o:	rayleigh_dist.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c rayleigh_dist.c
+
 recinvgauss_dist.o:	recinvgauss_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c recinvgauss_dist.c

=== debian/changelog ===
theseus (1.6.2-2) unstable; urgency=low

  * debian/upstream: Added missing space, fixed Name
  * debian/patches: Two patches from Simon Ruderich
    <simon@ruderich.org> to enable hardening (thanks to Simon)
    Closes: #668120

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jun 2012 08:45:38 +0200

theseus (1.6.2-1) unstable; urgency=low

  * New upstream version (adapted patch)
  * debian/control:
    - Standards-Version: 3.9.3 (no changes needed)
    - Fixed Vcs fields
  * debian/{control,rules}: Do not mention quilt explicitly
    which is not needed with source version 3.0 (quilt)
  * debian/upstream: Use information from debian/citation.bib
    for References in upstream yaml format
  * debian/upstream: Use information from debian/citation.bib
    for References in upstream yaml format
  * debian/{control,compat}: debhelper 9 to enable hardening
    flags
  * debian/patches/20_hardening.patch: Enable building with hardening
    options
  * debian/patches/20_exclude_apple_options.patch: Prevent trying
    to link with Apple specific linker option and enable linking
    pthread
  * debian/copyright: Rewritten to match DEP5 and verified using
      cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Sat, 24 Mar 2012 07:48:57 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
  Andreas Tille <tille@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.1), quilt (>= 0.47), libgsl0-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), libgsl0-dev
+Standards-Version: 3.9.3
 Homepage: http://www.theseus3d.org
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/theseus/trunk/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/theseus/trunk/?rev=0&sc=0
+Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/theseus/trunk/
+Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/theseus/trunk
 
 Package: theseus
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,7 @@
 pkg=theseus
 
 %:
-	dh --with quilt $@
-
-override_dh_auto_clean:
-	dh_quilt_patch
-	dh_auto_clean
+	dh $@
 
 override_dh_auto_install:
 	# Fix wrong path used in upstream script.  Fixing it here is safer than

## theseus 2.0.6

=== Makefile ===
--- 
+++ 
@@ -36,12 +36,12 @@
 
 distfitexe:
 					$(CC) $(OPT) $(CFLAGS) -c distfit.c
-					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) distfit.o $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o distfit
+					$(CC) $(OPT) $(CFLAGS) $(LDFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) distfit.o $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o distfit
 
 
 # THESEUS-specific files
 theseus:			theseus.o $(OBJECTS)
-					$(CC) $(OPT) $(CFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) theseus.o $(OBJECTS) $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o theseus
+					$(CC) $(OPT) $(CFLAGS) $(LDFLAGS) $(LIBDIR) $(LAPACKLIBDIR) $(BLASLIBDIR) theseus.o $(OBJECTS) $(LIBS) $(LAPACKLIB) $(BLASLIB) $(SYSLIBS) -o theseus
 
 CovMat.o:			CovMat.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c CovMat.c

=== libdistfit/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 beta_dist.o betaprime_dist.o betasym_dist.o binomial_dist.o cauchy_dist.o chi_dist.o chisqr_dist.o chisqrgen_dist.o EVD_dist.o \
 exp_dist.o gamma_dist.o invchisqr_dist.o  invgamma_dist.o \
 invgauss_dist.o laplace_dist.o logistic_dist.o lognormal_dist.o maxwell_dist.o \
-negbinom_dist.o normal_dist.o pareto_dist.o rayleigh_dist.o recinvgauss_dist.o \
+negbinom_dist.o normal_dist.o pareto_dist.o rayleigh_dist.o recinvgauss_dist.o rice_dist.o \
 uniform_dist.o vonmises_dist.o weibull_dist.o
 
 
@@ -88,6 +88,9 @@
 recinvgauss_dist.o:	recinvgauss_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c recinvgauss_dist.c
 
+rice_dist.o:		rice_dist.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c rice_dist.c
+
 uniform_dist.o:		uniform_dist.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c uniform_dist.c
 
@@ -103,3 +106,4 @@
 
 clean:
 					rm -f $(OBJECTS)
+

=== libdltmath/Makefile ===
--- 
+++ 
@@ -1,14 +1,16 @@
 include ../make.inc
 
 OBJECTS	= ludcmp.o MatUtils.o Mat3Utils.o Mat4Utils.o VecUtils.o \
-ncbi_math.o specfunc.o RegGamma.o \
-quicksort.o myrandom.o integrate.o \
-lapack_dlt.o eigen.o
+quicksort.o integrate.o \
+eigen_gsl.o eigen.o MultivarGamma.o \
+specfunc.o RegGamma.o
 
 libdistfit.a:		$(OBJECTS)
 					$(ARCH) $(ARCHFLAGS) libdltmath.a $(OBJECTS)
 					$(RANLIB) libdltmath.a
 
+MultivarGamma.o:	MultivarGamma.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c MultivarGamma.c
 
 ludcmp.o:			ludcmp.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ludcmp.c
@@ -46,8 +48,8 @@
 ncbi_math.o:		ncbi_math.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ncbi_math.c
 
-lapack_dlt.o:		lapack_dlt.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c lapack_dlt.c
+eigen_gsl.o:		eigen_gsl.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c eigen_gsl.c
 
 eigen.o:			eigen.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c eigen.c

=== libdssplite/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 					$(RANLIB) libdssplite.a
 
 dssplite.o:			dssplite.c
-					$(CC) $(OPT) $(CFLAGS) -c dssplite.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c dssplite.c
 
 install:
 					cp libdssplite.a /Users/theobal/lib

=== debian/changelog ===
theseus (2.0.6-1) unstable; urgency=low

  * New upstream version
     - Adapt patches
     - debian/patches/30_fix_gcc_options.patch: Enable build on Linux
    Closes: #713461
  * debian/control:
     - Remove DM-Upload-Allowed
     - cme fix dpkg-control
  * debian/rules: use xz compression

 -- Andreas Tille <tille@debian.org>  Wed, 26 Jun 2013 16:34:53 +0200

theseus (2.0.1-1) experimental; urgency=low

  * New upstream version (most patches applied)
  * debian/control:
     - Fix typo: s/clustlaw/clustalw/
       Closes: #682994
     - Standards-Version: 3.9.4 (no changes needed)
  * removed debian/citation.bib because the very same information
    is now in debian/upstream

 -- Andreas Tille <tille@debian.org>  Thu, 11 Oct 2012 18:15:43 +0200

=== debian/control ===
Source: theseus
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Morten Kjeldgaard <mok0@ubuntu.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               libgsl0-dev
Standards-Version: 3.9.4
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/theseus/trunk
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/theseus/trunk/
Homepage: http://www.theseus3d.org

Package: theseus
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         muscle
Suggests: clustalw,
          mafft,
          t-coffee,
          kalign,
          dialign
Description: superimpose macromolecules using maximum likelihood
 Theseus is a program that simultaneously superimposes multiple
 macromolecular structures. Theseus finds the optimal solution to the
 superposition problem using the method of maximum likelihood. By
 down-weighting variable regions of the superposition and by correcting for
 correlations among atoms, the ML superposition method produces very
 accurate structural alignments.
 .
 When macromolecules with different residue sequences are superimposed,
 other programs and algorithms discard residues that are aligned with
 gaps. Theseus, however, uses a novel superimposition algorithm that
 includes all of the data.

## theseus 3.0.0

=== Makefile ===
--- 
+++ 
@@ -7,17 +7,16 @@
 lodmats.o MultiPose.o MultiPose2MSA.o MultiPoseMix.o \
 PCAstats.o pdbIO.o pdbMalloc.o pdbStats.o pdbUtils.o QuarticHornFrag.o \
 RandCds.o pdbSSM.o \
-ProcGSLSVD.o ProcGSLSVDOcc.o ProcJacobiSVD.o \
+ProcGSLSVD.o ProcGSLSVDNu.o ProcJacobiSVD.o \
 GibbsMet.o \
 qcprot.o \
 termcol.o theseuslib.o
 
-all:				libs progs
+all:				libs ltheseus progs
 
-libs:				ldistfit lDLTutils lmsa ldltmath ldssplite ltheseus
+libs:				ldistfit lDLTutils lmsa ldltmath ldssplite
 
-progs:				theseus
-
+progs:				theseus libs
 
 ldistfit:
 					( cd libdistfit; $(MAKE) && cp libdistfit.a ../lib  )
@@ -123,8 +122,8 @@
 ProcGSLSVD.o:		ProcGSLSVD.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVD.c
 
-ProcGSLSVDOcc.o:	ProcGSLSVDOcc.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVDOcc.c
+ProcGSLSVDNu.o:		ProcGSLSVDNu.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ProcGSLSVDNu.c
 
 termcol.o:  		termcol.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c termcol.c
@@ -152,5 +151,5 @@
 
 clean:
 					find . -name '*.[oa]' -exec rm -f {} \;	
-					rm -f theseus &> /dev/null
+					rm -f theseus distfit

=== libdltmath/Makefile ===
--- 
+++ 
@@ -30,9 +30,6 @@
 myrandom.o:			myrandom.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c myrandom.c
 
-quicksort.o:		quicksort.c
-					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c quicksort.c
-
 statistics.o:		statistics.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c statistics.c
 
@@ -48,6 +45,9 @@
 ncbi_math.o:		ncbi_math.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c ncbi_math.c
 
+quicksort.o:		quicksort.c
+					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c quicksort.c
+
 eigen_gsl.o:		eigen_gsl.c
 					$(CC) $(OPT) $(CFLAGS) $(INCDIR) -c eigen_gsl.c

=== debian/changelog ===
theseus (3.0.0-1) unstable; urgency=medium

  * New upstream version
  * Moved debian/upstream to debian/upstream/metadata
  * cme fix dpkg-control
  * debian/README.source: removed since redundant

 -- Andreas Tille <tille@debian.org>  Tue, 20 May 2014 15:08:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                libgsl0-dev
-Standards-Version: 3.9.4
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/theseus/trunk
-Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/theseus/trunk/
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/theseus/trunk
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/theseus/trunk/
 Homepage: http://www.theseus3d.org
 
 Package: theseus
@@ -33,4 +33,3 @@
  other programs and algorithms discard residues that are aligned with
  gaps. Theseus, however, uses a novel superimposition algorithm that
  includes all of the data.
-

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,6 @@
 	sed -e 's?/usr/local/bin?/usr/bin?' \
 	    -e 's?/usr/bin/sed?/bin/sed?'   \
 	    theseus_align > debian/$(pkg)/usr/bin/theseus_align
+
+override_dh_builddeb:
+	dh_builddeb -- -Z xz
